Packages - Bug #2804

dbus and dbus openrc clash while updating
2020-06-14 09:43 AM - infinite_recursion

Status: duplicate % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

When | execute "sudo pacman -Syu"
| get the following message and my updates do not complete:

error: failed to prepare transaction (could not satisfy dependencies)
;s installing dbus (1.12.18-1) breaks dependency 'dbus-openrc' required by avahi-openrc

| use openrc version of parabola ofc.

Related issues:
Related to Packages - Bug #2575: [avahi-openrc] Dependency errors when trying... fixed

History

#1 - 2020-06-14 05:10 PM - bill-auger

- Assignee set to Megver83

#2 - 2020-06-14 05:10 PM - bill-auger
this looks like a duplicate of #2575 - what do you think megver ?

#3 - 2020-06-14 05:11 PM - bill-auger
- Related to Bug #2575: [avahi-openrc] Dependency errors when trying to upgrade with pacman added

#4 - 2020-06-15 01:15 AM - Megver83
yep, it's the same thing

infinite_recursion, you should have posted this in the mailing list first, or at least do some digging, as you can see, you made a duplicated report from
a fixed issue

you have to install nonsystemd/dbus
https://wiki.parabola.nu/Non m
make sure to have [nonsystemd] above [core] in pacman.conf

#5 - 2020-06-15 01:15 AM - Megver83

- Status changed from unconfirmed to duplicate
